---
title: SOAFEE Accelerates Autonomous Race Car Development
description: SOAFEE Accelerates Autonomous Race Car Development
date: 4 May 2022
body: Discover how the SOAFEE SIG is collaborating with academia to accelerate autonomous race car development
---

import BlogContainer from '@/components/layouts/blog-container';
import DecoratedText from '@/components/decorated_text';

<main className="text-soafee-black">
  <section className="bg-soafee-gray">
    <DecoratedText className="wrapper-lg pb-8 pt-[120px] md:pb-20 md:pt-[152px] md:h-min-[400px] flex flex-col" decoration="right" decorationClass="fill-soafee-light-gray">
      <div className="max-w-[820px] mb-4">
        ## SOAFEE Accelerates Autonomous Race Car Development
      </div>
      <div className="max-w-[490px]">
        <div className="typography-mobile-b1 lg:typography-desktop-b3 mb-4">
          By: Girish Shirasat (Arm), Felix Fent (TUM), Stefano Marzani (AWS)
        </div>
      </div>
    </DecoratedText>
  </section>
  
  <BlogContainer>
    <BlogContainer.title>
      ## Introduction
    </BlogContainer.title>
    <BlogContainer.body>
      The autonomy technology juggernaut is stronger than ever and even though the promises of the fully L4/L5 capable vehicle are something that we still need to see on the roads at production scale, the pace of innovation to solve some of the most complex problems is higher than ever. Many of these innovations are being driven by both the commercial OEMs and academia. If history has taught us anything, it's that some of the best innovations come out of the bright and passionate minds in academia. When you combine this brilliance with something like an autonomous vehicle race as conducted by the Indy Autonomous Challenge (IAC) [1], where some of the best universities around the world compete with each other to build fastest autonomous vehicles racing at more than 250 km/h for a prize money of 1.5 million USD, there cannot be a more fertile ground for innovation than this. One could say that IAC is a possible successor to the DARPA Grand Challenge which - autonomy connoisseurs will know - triggered most of the autonomy trend we see today. The first of these races took place on the Indianapolis Motor Speedway in October 2021 which was won by Technical University of Munich (TUM) from Germany.
      <br />
      In this blog, we provide a high-level overview of the autonomous stack used by TUM in the IAC race along with their adoption of state of the art cloud-native development process. In addition, we identify some of the key scaling issues that they face due to their current computing infrastructure and how working with Arm/AWS through the Scalable Open Architecture For Embedded Edge (SOAFEE, www.soafee.io), we intend to address them.
      <br />
      Cloud-Native In Autonomy
      In the new age of software defined vehicles, features in a car will no longer be fixed functions delivered during the manufacture of the vehicle in the assembly line but will be developed, deployed and monetized across the life cycle of the vehicle. Software enabling these features will be the key differentiator for an OEM and the role of software developer becomes more important than ever in the entire automotive value chain. Increasing developer effectiveness has a direct impact on the bottom line of the OEM and its entire supply chain. Cloud-Native is presented as one of the design patterns to improve developer effectiveness and has been successfully deployed in the enterprise domain. It is now making its way in automotive. The cloud-native approach to the software defined car blog [2] provides an overview of what it means to apply a cloud-native approach in the context of automotive while Accelerating Software-Defined Vehicles through Cloud-To-Vehicle Edge Environmental Parity [3] describes the impact of cloud-to-automotive-edge environmental parity on cloud-native automotive system development. Additionally How the SOAFEE Architecture Brings A Cloud-Native Approach To Mixed Critical Automotive Systems [7] blog provides an overview of how Scalable Open Architecture For Embedded Edge (SOAFEE, www.soafee.io) intends to address some of the key challenges in adopting cloud native in mixed critical workload development in automotive. Arm, working alongside Autoware Foundation, started the Open AD Kit initiative [6] to democratize cloud-native devops in autonomy enabled through SOAFEE.
      <br />
      Cloud-Native Autonomous Race Car Development
      As another step in this journey and to foster the innovations in academia, technology leaders Arm and AWS are jointly collaborating with the Technical University of Munich (TUM), the winner of the first IAC race, to accelerate their cloud-native development environment used for their autonomy stack with end-to-end Arm based environmental parity. Some of the exciting video footage of the IAC race is available for public viewing [8].
      <br />
      TUM Autonomy Software Architecture And Development Environment
    </BlogContainer.body>
  </BlogContainer>
</main>